Subject: Re: [PATCH v2] bonding: move IPv6 support into a separate kernel module

From: Brian Haley <[email-masked]>
Date: Thu, 26 Feb 2009 11:44:29 -0500

David Miller wrote:
> From: Jay Vosburgh <[email-masked]>
> Date: Wed, 25 Feb 2009 14:10:58 -0800
> 
>> 	I've been fooling with the disable_ipv6 sysctl, and one issue is
>> that, at least on the distro I'm testing on (SLES), it's not picked up
>> from /etc/sysctl.conf at boot time (presumably because ipv6 isn't loaded
>> yet, although I haven't really checked).
> 
> Correct, that's the problem.
> 
> We could create a blocker bitmap.  Two sysctls, "block_af" and
> "unblock_af".  You write the AF_foo value for the protocol there and
> it sets or clears the assosciated bit in the internal blocker bitmap.
> 
> Things like sys_socket() et al. key off of this.

I'm open to suggestions at this point in time, I just don't see how this will 
solve the bonding problem since it still wouldn't load, right?

Dave - do you feel I need to fix this regression?  If not I can try to work on 
this AF blocker thing.  My only other thought if we want to fix this is to have 
the IPv6 module register these five functions into an ops structure that bonding 
can call.  It doesn't fix SCTP, qeth, etc, but it gets these "blacklist ipv6" 
configs working again, and gets me out of the crosshairs :)

-Brian